Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndLink

All Known Implementing Classes:
  SyndLinkImpl

    public interface SyndLink

Represents a link or enclosure associated with entry.

Author:
  Dave Johnson

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getHref()` Returns the link href.
`String` | `getHreflang()` Returns the hreflang
`long` | `getLength()` Returns the length
`String` | `getRel()` Returns the link rel.
`String` | `getTitle()` Returns the link title.
`String` | `getType()` Returns the link type.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setHref(String href)` Sets the link href.
`void` | `setHreflang(String hreflang)` Set the hreflang
`void` | `setLength(long length)` Set the length
`void` | `setRel(String rel)` Sets the link rel.
`void` | `setTitle(String title)` Sets the link title.
`void` | `setType(String type)` Sets the link type.
`String` | `toString()` Returns the String representation for the object.

Method Detail

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getRel

    String getRel()

  Returns the link rel.

  Returns:
    the link rel, null if none.

### setRel

    void setRel(String rel)

  Sets the link rel.

  Parameters:
    `rel` - the link rel,, null if none.

### getType

    String getType()

  Returns the link type.

  Returns:
    the link type, null if none.

### setType

    void setType(String type)

  Sets the link type.

  Parameters:
    `type` - the link type, null if none.

### getHref

    String getHref()

  Returns the link href.

  Returns:
    the link href, null if none.

### setHref

    void setHref(String href)

  Sets the link href.

  Parameters:
    `href` - the link href, null if none.

### getTitle

    String getTitle()

  Returns the link title.

  Returns:
    the link title, null if none.

### setTitle

    void setTitle(String title)

  Sets the link title.

  Parameters:
    `title` - the link title, null if none.

### getHreflang

    String getHreflang()

  Returns the hreflang

  Returns:
    Returns the hreflang.

### setHreflang

    void setHreflang(String hreflang)

  Set the hreflang

  Parameters:
    `hreflang` - The hreflang to set.

### getLength

    long getLength()

  Returns the length

  Returns:
    Returns the length.

### setLength

    void setLength(long length)

  Set the length

  Parameters:
    `length` - The length to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.